# [Fence](./Fence.md)

Namespace: [TinyLife]() > [Objects]()

Assembly: Tiny Life.dll

Implements [IGenericDataHolder](./Fence.md), [IPricedObject](./../World/IPricedObject.md)

## Summary
A fence is a furniture used by things like `TinyLife.Objects.FurnitureType.CountryFence` that auto-connects similarly to `TinyLife.Objects.CornerFurniture`, but by actually adding additional connection textures onto the regular object textures

## Constructors

| Name | Summary | 
| --- | --- | 
| Fence ( [`Guid`](https://docs.microsoft.com/en-us/dotnet/api/System.Guid), [`FurnitureType`](./FurnitureType.md), [`Int32`](https://docs.microsoft.com/en-us/dotnet/api/System.Int32)[], [`Map`](./../World/Map.md), [`Vector2`](./Fence.md) ) |  | 


## Methods

| Return | Name | Summary | 
| --- | --- | --- | 
| void | Draw ( [`GameTime`](./Fence.md), [`SpriteBatch`](./Fence.md), [`Vector2`](./Fence.md), [`Vector2`](./Fence.md), [`Nullable`](https://docs.microsoft.com/en-us/dotnet/api/System.Nullable-1)\<[`Color`](./Fence.md)>, [`Direction2`](./Fence.md), [`Int32`](https://docs.microsoft.com/en-us/dotnet/api/System.Int32)[], [`Single`](https://docs.microsoft.com/en-us/dotnet/api/System.Single), [`Boolean`](https://docs.microsoft.com/en-us/dotnet/api/System.Boolean), [`Furniture`](./Furniture.md), [`ObjectSpot`](./ObjectSpot.md), [`Single`](https://docs.microsoft.com/en-us/dotnet/api/System.Single), [`Boolean`](https://docs.microsoft.com/en-us/dotnet/api/System.Boolean) ) |  | 
| [Boolean](https://docs.microsoft.com/en-us/dotnet/api/System.Boolean) | Validate (  ) |  | 


